#ifndef GLBUFFER_HPP_
#define GLBUFFER_HPP_


#include <globject.hpp>


/// Class

class GLBuffer : public GLObject
{
public:

    /// Special member functions

    explicit GLBuffer(std::string object_label)
    :
        GLObject(
            glGenBuffers,
            glDeleteBuffers,
            GL_BUFFER,
            std::move(object_label)
        )
    {
    }
};


#endif // GLBUFFER_HPP_
